Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 448830 - dev-qt/qtopenvg-4.8.4[c++0x] - qpaintengine_vg.cpp:3212:5: error: narrowing conversion of ‘d->QVGPaintEnginePrivate::opacity’ from ‘qreal’ to ‘VGfloat’ inside { }
Summary: dev-qt/qtopenvg-4.8.4[c++0x] - qpaintengine_vg.cpp:3212:5: error: narrowing c...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2012-12-27 14:28 UTC by Kacper Kopczynski
Modified: 2013-10-22 13:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,42.46 KB, text/plain)
2012-12-27 14:43 UTC, Kacper Kopczynski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kacper Kopczynski 2012-12-27 14:28:29 UTC
x11-libs/qt-openvg-4.8.4: does not compile. error is:
qpixmapdata_vg.cpp:426:9: error: narrowing conversion of ‘opacity’ from ‘qreal’ to ‘VGfloat’ inside { }

Reproducible: Always

Steps to Reproduce:
1. emerge -uDN world
2. 
3.
Actual Results:  
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -std=c++0x -I/usr/include/freetype2 -fvisibility=hidden -fvisibility-inlines-hidden -Wall -W -D_REENTRANT -fPIC -DQT_SHARED -DQT_BUILD_OPENVG_LIB -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT3_SUPPORT -DQT_MOC_COMPAT -DQT_USE_QSTRINGBUILDER -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_HAVE_MMX -DQT_HAVE_3DNOW -DQT_HAVE_SSE -DQT_HAVE_MMXEXT -DQT_HAVE_SSE2 -DQT_HAVE_SSE3 -DQT_HAVE_SSSE3 -DQT_HAVE_SSE4_1 -DQT_HAVE_SSE4_2 -DQT_HAVE_AVX -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I../../mkspecs/linux-g++ -I. -I../../include/QtCore -I../../include/QtGui -I../../include -I../../include/QtOpenVG -I.rcc/release-shared -I../3rdparty/harfbuzz/src -I.moc/release-shared -o .obj/release-shared/qpixmapfilter_vg.o qpixmapfilter_vg.cpp
qpixmapdata_vg.cpp: In member function ‘virtual VGImage QVGPixmapData::toVGImage(qreal)’:
qpixmapdata_vg.cpp:426:9: error: narrowing conversion of ‘opacity’ from ‘qreal’ to ‘VGfloat’ inside { }
make: *** [.obj/release-shared/qpixmapdata_vg.o] Error 1




Portage 2.1.11.31 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.4, glibc-2.15-r3, 3.6.11-gentoo x86_64)
=================================================================
System uname: Linux-3.6.11-gentoo-x86_64-Intel-R-_Core-TM-_i3-2310M_CPU_@_2.10GHz-with-gentoo-2.1
Timestamp of tree: Thu, 27 Dec 2012 14:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo kde lcd-filtering x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA PUEL AdobeFlash-10.3 skype-4.0.0.7-copyright RTCW-ETEULA Intel-SDP"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/polkit-1/actions /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks downgrade-backup ebuild-locks fakeroot fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="pl_PL.UTF-8"
LC_ALL="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /var/lib/layman/lcd-filtering /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="32bit X X509 a52 aac aacplus acl acpi action_modeswitch alsa amd64 amr analitza ao aspell assistant attica autoipd autotools avahi avx bazaar berkdb bittorrent bluetooth branding bzip2 c++0x cairo canberra caps cdda cdio cdr cg chm classic cli clucene cmake connection-sharing conntrack consolekit contrib corefonts cracklib crypt cryptsetup cue cups curl cvs cxx dbus declarative designer-plugin desktopglobe development device-mapper dga dhcp dia dirac djbfft djvu dmraid dmx dri dts dvb dvd dvdr eap-sim eap-tls ebook editor egl emboss enchant encode equalizer examples exif expat faac fakevim fam ffmpeg fftw firefox flac fontconfig fortran ftp g3dvl gadu gallium gd gdbm gif git glew gnutls google gphoto2 gpm gps graphite graphviz gsm gtkstyle hscolour html iconv icu idn imagemagick inotify ios iproute2 ipv6 irc iso jabber jadetex jingle joystick jpeg json kate kde kdepim kdrive kipi ladspa lame lapack latex lcms libev libkms libnotify libproxy libsamplerate libtar libv4l live llvm lm_sensors lzma lzo mad marble matroska mdnsresponder-compat mercurial midi minizip mjpeg mmap mms mmx mmxext mng modemmanager modplug modules mp3 mp3rtp mp4 mpeg mpi mtp mudflap multilib multimedia multitarget musepack mysql nat ncurses netlink network networkmanager nls nptl nsplugin ntp oauth objc objc++ objc-gc odbcmanual offlinehelp ogg ois okular openal openexr opengl opengtl openmp openntpd openssl openvg optimisememory osmesa oss otr pam pango pcap pcre pdf phonon physfs pic plasma plotutils png policykit postgres postproc postscript ppds ppp pppd pulseaudio python2 qalculate qt3support qt4 qthelp quicktime quota qwt r600-llvm-compiler radio rar rdesktop readline realtime rtf rtsp samba scanner schroedinger script scripting sdk sdl sdl-image sdlgfx secure-delete semantic-desktop session shapefile shared-dricore shared-glapi shout sip skins slang smbsharemodes sndfile solver soundex sox speex spell sql sqlite sse sse2 sse3 sse4_1 ssh ssl ssse3 startup-notification static-libs subversion svg system-sqlite systemtap taglib tbb tci tcpd telepathy theora threads thumbnail tiff tools truetype twolame udev udis86 udisks unicode unlock-notify uploadprogress upnp upower usb usbredir utils v4l vaapi valgrind vcd vde video vim-pager vim-syntax vlc vnc vorbis vpx wavpack webkit webp wma-fixed wxwidgets x264 xa xanim xattr xcb xcomposite xinerama xml xnest xpm xrandr xscreensaver xv xvfb xvid xvmc zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2 adc65 agfa_cl20 aox ax203 barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 jl2005a jl2005c kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 st2205 stv0674 stv0680 sx330z template topfield toshiba_pdrm11 tp6801" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="synaptics evdev keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer nlpsolver pdfimport scripting-beanshell scripting-javascript wiki-publisher" LINGUAS="en en_GB en_US pl" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="x86_64 arm i386 lm32 m68k microblaze microblazeel mips mips64 mips64el mipsel sparc sparc64 ppc ppc64 ppcemb" QEMU_USER_TARGETS="arm armeb i386 m68k microblaze microblazeel mips mipsel sparc sparc32plus sparc64 unicore32 x86_64 ppc ppc64 ppc64abi32" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev intel i915 i965 radeon r600 modesetting v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Jeroen Roovers gentoo-dev 2012-12-27 14:41:26 UTC
Please attach the entire build log to this bug report.
Comment 2 Kacper Kopczynski 2012-12-27 14:43:27 UTC
Created attachment 333474 [details]
build log
Comment 3 Kacper Kopczynski 2012-12-27 15:45:44 UTC
I've just found this:
https://qt.gitorious.org/qt/qt/merge_requests/1288

hope it helps
Comment 4 Michael Palimaka (kensington) gentoo-dev 2013-07-22 16:48:14 UTC
Builds here with recent GCC.
Comment 5 Davide Pesavento gentoo-dev 2013-10-22 13:38:00 UTC
c++0x has been dropped from later versions.